Skip to main content
GET
/
recommendations
Get recommended articles
curl --request GET \
  --url https://{your-subdomain}.neetokb.com/api/external/v2/recommendations \
  --header 'X-Api-Key: <x-api-key>'
{
  "recommendations": [
    {
      "title": "<string>",
      "articles": [
        {
          "id": "<string>",
          "title": "<string>",
          "category": {
            "id": "<string>",
            "name": "<string>"
          }
        }
      ]
    }
  ],
  "pagination": {
    "total_records": 123,
    "total_pages": 123,
    "current_page_number": 123,
    "page_size": 123
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.

Headers

X-Api-Key
string
default:your-api-key
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Query Parameters

page_number
integer

Retrieve paginated results by specifying the desired page number. Defaulting to 1 when omitted.

page_size
integer

Set the number of results returned in the response. Defaulting to 30 when omitted.

match_uri
string

URL path used to retrieve article recommendations. This should be the relative or full URL of the page for which you want to fetch contextually relevant article suggestions.

Example:

"feedback"

Response

200 - application/json

OK - Request succeeded

recommendations
object[]
pagination
object